glibmm: Glib::Error Class Reference

glibmm 2.30.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes
Glib::Error Class Reference

`#include <glibmm/error.h>`

Inheritance diagram for Glib::Error:
[legend]

List of all members.

## Public Member Functions
| Error ()
| Error (GQuark domain, int code, const Glib::ustring& message)
| Error (GError* gobject, bool take_copy=false)
| Error (const Error& other)
Error& | operator= (const Error& other)
virtual | ~Error () throw ()
GQuark | domain () const
int | code () const
virtual Glib::ustring | what () const
bool | matches (GQuark domain, int code) const
GError* | gobj ()
const GError* | gobj () const
## Protected Attributes
GError* | gobject_

## Constructor & Destructor Documentation

Glib::Error::Error | ( |  | ) |

Glib::Error::Error | ( | GQuark | domain,
|  | int | code,
|  | const Glib::ustring& | message
| ) |  |

Glib::Error::Error | ( | GError * | gobject,
|  | bool | take_copy = `false`
| ) |  | `[explicit]`

Glib::Error::Error | ( | const Error& | other | ) |

virtual Glib::Error::~Error | ( |  | ) | throw ()`[virtual]`

## Member Function Documentation

int Glib::Error::code | ( |  | ) | const

Reimplemented in Glib::ConvertError, Glib::FileError, Glib::IOChannelError, Glib::KeyFileError, Glib::MarkupError, Glib::OptionError, Glib::RegexError, Glib::ShellError, Glib::SpawnError, Glib::ThreadError, Gio::DBus::Error, Gio::Error, and Gio::ResolverError.

GQuark Glib::Error::domain | ( |  | ) | const

GError* Glib::Error::gobj | ( |  | ) |

const GError* Glib::Error::gobj | ( |  | ) | const

bool Glib::Error::matches | ( | GQuark | domain,
|  | int | code
| ) |  | const

Error& Glib::Error::operator= | ( | const Error& | other | ) |

virtual Glib::ustring Glib::Error::what | ( |  | ) | const`[virtual]`

Implements Glib::Exception.

## Member Data Documentation

GError* Glib::Error::gobject_`[protected]`